# Function update

- update(collectionId, productId, variantId, data): Promise<VariantResponse>

- Update a variant for a collection and product (admin only).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - variantId: string

    Identifier of the variant

  - data: any

    Variant update data

  #### Returns Promise<VariantResponse>

  Promise resolving to a VariantResponse object

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/variant.ts:73